Skip to navigation

List ProcedureParameterVersion items

Beta
List ProcedureParameterVersion items.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

createdAt.gtstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.

createdAt.gtestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or after the specified time. e.g. >= 2017-04-30.

createdAt.ltstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. < 2017-04-30.

createdAt.ltestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or before the specified time. e.g. <= 2017-04-30.

creator.anyOfstringOptional

Restricts results to those created by any of the specified user IDs. Comma-separated list.

id.anyOfstringOptional

Restricts results to those matching any of the specified IDs. Comma-separated list.

libraryParameterDefinition.anyOfstringOptional

Restricts results to parameter versions linked to any of the specified library parameter definition IDs. Comma-separated list.

name.anyOfstringOptional

Restricts results to those that match any of the specified names. Case insensitive. Warning - this filter can be non-performant due to case insensitivity. Ensure only one name filter is used at a time. Comma-separated list.

name.anyOf.caseSensitivestringOptional

Restricts results to those that match any of the specified names. Case sensitive. Ensure only one name filter is used at a time. Comma-separated list.

nextTokenstringOptional
Token for pagination
omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

pageSizeintegerOptional
Number of results to return. Defaults to 50, maximum of 100.
procedureParameter.eqstringOptional
ID of a procedure parameter. Restricts results to children of the specified parameter.
returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

sortenumOptionalDefaults to createdAt:desc

Method by which to order results. Valid sorts are: createdAt (created time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is createdAt:desc.

Allowed values:

Response

OK
itemslist of objectsOptional
nextTokenstringOptional

Errors

400
Procedure Parameter Version List Request Bad Request Error
403
Procedure Parameter Version List Request Forbidden Error
404
Procedure Parameter Version List Request Not Found Error
429
Procedure Parameter Version List Request Too Many Requests Error
500
Procedure Parameter Version List Request Internal Server Error